Skip to main content
`Ctrl`+`K`

# numpy.ndarray.to_device

method

ndarray.to_device(device, /, *, stream=None)

  For Array API compatibility. Since NumPy only supports CPU arrays, this method is a no-op that returns the same array.

  Parameters:
    device“cpu”

      Must be `"cpu"`.

    stream None, optional

      Currently unsupported.

  Returns:
    out Self

      Returns the same array.